API
Print News Search Direct API
The AI-powered Print Media Monitor provides 360° Global Media Data & Intelligence on Newspapers, magazines, trade publications, and print journalism outlets.
API 参考 版本: 1.0.0 4 终端 身份验证
基本网址
https://pressmonitor.com/api 身份验证
所有请求都需要 x-api-key 和 x-subscription-id 标头。x-api-key 验证您的账户;x-subscription-id 选择订阅的服务。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines Headlines
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | Keywords text parameter |
| lang_code | string | query | 不 | Lang code parameter |
| country_code | string | query | 不 | Country code parameter |
| count | integer | query | 不 | Count parameter |
| cursor | string | query | 不 | Cursor parameter |
| sort | string | query | 不 | Sort order (date or relevance) |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
代码示例
curl -X GET \
"https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/briefs Briefs
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | Keywords text parameter |
| lang_code | string | query | 不 | Lang code parameter |
| country_code | string | query | 不 | Country code parameter |
| count | integer | query | 不 | Count parameter |
| cursor | string | query | 不 | Cursor parameter |
| sort | string | query | 不 | Sort order (date or relevance) |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
代码示例
curl -X GET \
"https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/fulltext Fulltext
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| keywords_text | string | query | 是 | Keywords text parameter |
| lang_code | string | query | 不 | Lang code parameter |
| country_code | string | query | 不 | Country code parameter |
| count | integer | query | 不 | Count parameter |
| cursor | string | query | 不 | Cursor parameter |
| sort | string | query | 不 | Sort order (date or relevance) |
| date_from | string | query | 不 | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | 不 | End date for news (YYYY-MM-DD format) |
代码示例
curl -X GET \
"https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/clip Clip
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| id | string | query | 是 | Clip/article ID to resolve |
| ns | string | query | 是 | Namespace prefix for multi-tenant index resolution |
| date | string | query | 是 | Date of the clip (YYYY-MM-DD) |
| host | string | query | 不 | Host name for tenant resolution |
| ttl | integer | query | 不 | Signed URL time-to-live in seconds |
代码示例
curl -X GET \
"https://pressmonitor.com/api/clip?id=VALUE&ns=VALUE&date=VALUE&host=VALUE&ttl=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
